export const SYS_ADMIN_NAME = "sysadmin";

// 启用/禁用
export const ABLE_TYPE = {
  0: "禁用",
  1: "启用"
};

// 是 / 否
export const BOOLEAN_TYPE = {
  0: "否",
  1: "是"
};

// 打印状态
export const PRINT_STATUS = {
  NEW: "新建",
  READY: "就绪",
  WAIT: "待印刷",
  PROCESS: "印刷中",
  END: "已完成"
};

export const PRINT_STATUS_LIST = [
  {
    key: "NEW",
    name: "新建"
  },
  {
    key: "READY",
    name: "就绪"
  },
  {
    key: "WAIT",
    name: "待印刷"
  },
  {
    key: "PROCESS",
    name: "印刷中"
  },
  {
    key: "END",
    name: "已完成"
  }
];
// 撤回状态
export const REVOKE_STATUS = {
  0: "待确认",
  9: "无"
};
// 审核状态
export const AUDITING_STATUS = {
  NOT_AUDITED: "未审核",
  AUDITED: "已审核"
};
// 审核结果
export const AUDITING_RESULT = {
  NOT_PASS: "未通过",
  PASS: "通过"
};

// 通用题卡规则id
export const COMMON_CARD_RULE_ID = "-1";

export const CARD_BUSINESS_FIELDS = {
  must: [
    {
      name: "学号",
      code: "studentCode"
    },
    {
      name: "姓名",
      code: "name"
    },
    {
      name: "课程名称",
      code: "courseName"
    }
  ],
  extend: [
    {
      name: "教学班号",
      code: "classNo"
    },
    {
      name: "考场",
      code: "examRoom"
    }
  ]
};

export const RESERVE_TYPE = {
  0: "考试任务备用方式",
  1: "考场备用方式"
};

export const CARD_SOURCE_TYPE = {
  SELECT: "选择已有答题卡",
  SELF: "自助创建",
  CUST: "申请客服制卡"
};

export const EXAM_NUMBER_STYLE = {
  PRINT: "印刷条码",
  PASTE: "粘贴条码",
  FILL: "考号填涂"
};

export const PAPER_TYPE = {
  PRINT: "印刷",
  FILL: "填涂"
};

export const TEMPLATE_TYPE = {
  GENERIC: "通卡模板",
  VARIABLE: "变量印品模板",
  ORDINARY: "普通印品模板"
};

export const PRINT_CONTENT_TYPE = {
  PAPER: "试卷",
  CARD: "题卡"
};
export const PRINT_PLAN_STATUS = {
  NEW: "新建",
  READY: "准备就绪",
  QUESTION: "命题中",
  PRINT: "印刷中",
  END: "已完成"
};

export const PAPER_TYPE_FIELDS = ["A", "B"];

export const CONFIRM_PRINT_TYPE = {
  MANUAL: "手动",
  AUTO: "自动"
};

export const PRIVILEGE_TYPE = {
  MENU: "菜单",
  URL: "操作"
};

export const TEMPLATE_CLASSIFY = {
  SIGN: "签到表",
  PACKAGE: "卷袋贴",
  CHECK_IN: "考试情况登记表"
};

export const EXAM_TASK_STATUS = {
  NEW: "新建",
  READY: "待命题",
  STAGE: "进行中",
  SUBMIT: "待审核",
  FINISH: "已完成"
  // CANCEL: "撤回"
};

export const DRAW_RULE_TYPE = {
  ONE: "只抽取一次",
  CIRCLE: "可反复抽取"
};

export const PRINT_BACKUP_TYPE = {
  ROOM: "每考场",
  STUDENT: "每考生"
};

export const PAPER_BACKUP_TYPE = {
  ROOM: "每考场",
  PLACE: "每考点"
};

export const ROLE_TYPE = {
  SCHOOL_ADMIN: "管理员",
  EXAM_TEACHER: "考务老师",
  QUESTION_TEACHER: "命题老师",
  CUSTOMER: "客服人员",
  PRINT: "印刷人员",
  CUSTOM: "自定义"
};
// data-manage
export const DATA_TASK_STATUS = {
  INIT: "未开始",
  RUNNING: "进行中",
  FINISH: "已完成"
};
export const DATA_TASK_TYPE = {
  USER_IMPORT: "用户导入",
  QUESTION_MISSION_BATCH_CREATE: "批量新建命题任务",
  SAMPLE_EXPORT: "导出审核样本",
  PAPER_DOWNLOAD: "卷库下载",
  EXAMINATION_IMPORT: "考务数据导入",
  EXAMINATION_EXPORT: "考务数据导出",
  PRINT_PDF_DOWNLOAD: "批量下载pdf"
};
export const DATA_TASK_RESULT = {
  SUCCESS: "成功",
  ERROR: "失败"
};
