import { $postParam, $post } from "@/plugins/axios";

// other
// 待办任务数量
export const waitTaskListCount = () => {
  return $postParam("/api/admin/exam/task_undo_count", {});
};
// 试卷编号模糊查询
export const pageNumberQuery = param => {
  return $postParam("/api/admin/exam/task/paper_number_query", { param });
};
// 命题老师模糊查询
export const questionTeatherQuery = datas => {
  return $postParam("/api/admin/exam/task/user_query", datas);
};

// exam-task-manage
export const examTaskListPage = datas => {
  return $postParam("/api/admin/exam/task/list", datas);
};
export const updateExamTask = datas => {
  return $post("/api/admin/exam/task/save", datas);
};
export const updatExamTaskTeacher = ({ id, userId }) => {
  return $post("/api/admin/exam/task/assign_user", { id, userId });
};
export const ableExamTask = ({ id, enable }) => {
  return $post("/api/admin/exam/task/enable", { id, enable });
};
export const batchAddExamTask = datas => {
  return $post("/api/admin/exam/task/save_batch", datas);
};
export const taskApplyAuditHistory = examTaskId => {
  return $postParam("/api/admin/exam/task/review_list", { examTaskId });
};

// task-apply-manage
export const taskApplyListPage = datas => {
  return $postParam("/api/admin/exam/task/apply_list", datas);
};
export const taskApplyDetail = examTaskId => {
  return $postParam("/api/admin/exam/task/apply_get_one", { examTaskId });
};
export const updateTaskApply = datas => {
  return $post("/api/admin/exam/task/apply_save", datas);
};
export const cancelOrRestartTaskApply = ({ id, status }) => {
  return $post("/api/admin/exam/task/apply_status", { id, status });
};

// task-review-manage
export const taskReviewUnauditedListPage = datas => {
  return $postParam("/api/admin/exam/task/review_list_unaudited", datas);
};
export const taskReviewAuditedListPage = datas => {
  return $postParam("/api/admin/exam/task/review_list_audited", datas);
};
export const updateTaskReview = datas => {
  return $post("/api/admin/exam/task/review_save", datas);
};
export const batchUpdateTaskReview = datas => {
  return $post("/api/admin/exam/task/review_save_batch", datas);
};
// task-paper-manage
export const taskPaperListPage = datas => {
  return $postParam("/api/admin/exam/task/paper_list", datas);
};
export const ableTaskPaper = ({ id, enable }) => {
  return $post("/api/admin/exam/task/paper_enable", { id, enable });
};
export const downloadPaper = examTaskId => {
  return $postParam(
    "/api/admin/exam/task/paper_download",
    { examTaskId },
    { responseType: "blob" }
  );
};

// card
export const cardForSelectList = datas => {
  return $postParam("/api/admin/exam/card/select_card_list", datas);
};

// data-manage ie-task-manage
export const dataTaskList = datas => {
  return $postParam("/api/admin/data/task/query", datas);
};
export const removeDataTask = ({ ids, type }) => {
  return $post("/api/admin/data/task/query", { ids, type });
};
